Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface ClipRable

All Superinterfaces:
  Filter, RenderableImage

All Known Implementing Classes:
  ClipRable8Bit

    public interface ClipRable

extends Filter

Implements a clip operation. This is similar to the mask operation except it uses a '1 bit' mask (it's normally anti-aliased, but shouldn't have any fluctions in side the outline of the shape.).

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`Shape` | `getClipPath()` Returns the Shape that the Clip will use to define the clip path.
`Filter` | `getSource()` This returns the current image being clipped by the clip node.
`boolean` | `getUseAntialiasedClip()` Resturns true if the default behaviour should be to use anti-aliased clipping.
`void` | `setClipPath(Shape clipPath)` Set the clip path to use.
`void` | `setSource(Filter src)` The source to be clipped by the outline of the clip node.
`void` | `setUseAntialiasedClip(boolean useAA)` Set the default behaviour of anti-aliased clipping.

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### setUseAntialiasedClip

    void setUseAntialiasedClip(boolean useAA)

  Set the default behaviour of anti-aliased clipping. for this clip object.

### getUseAntialiasedClip

    boolean getUseAntialiasedClip()

  Resturns true if the default behaviour should be to use anti-aliased clipping.

### setSource

    void setSource(Filter src)

  The source to be clipped by the outline of the clip node.

  Parameters:
    `src` - The Image to be clipped.

### getSource

    Filter getSource()

  This returns the current image being clipped by the clip node.

  Returns:
    The image to clip

### setClipPath

    void setClipPath(Shape clipPath)

  Set the clip path to use. The path will be filled with opaque white, to define the the clipping mask.

  Parameters:
    `clipPath` - The clip path to use

### getClipPath

    Shape getClipPath()

  Returns the Shape that the Clip will use to define the clip path.

  Returns:
    The shape that defines the clip path.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.